
Redmine - Feature #10886

Sensitivity to git-style log messages

2012-05-11 16:58 - Harry Garrood

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

With Git, you are encouraged to enter commit messages with a one line summary followed by an empty line and then paragraphs

with more detail. (see http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html)

It is then possible to use this subject/body distinction in various other places to make the UI nicer. For example, git log, Github, and

TortoiseSVN's "Show Log" are all sensitive to this format.

It could be nice if Redmine also did this; for example, it could apply different styles to the subject, or show only the subject in the log

on the repository index.

Related issues:

Related to Redmine - Feature #10968: Restore comments nowrap for revisions New

History

#1 - 2012-05-12 09:36 - Toshi MARUYAMA

- Category set to SCM

#2 - 2012-06-11 18:39 - Harry Garrood

I have just realised that the activity page does do this already.

#3 - 2021-06-06 14:50 - Go MAEDA

- Related to Feature #10968: Restore comments nowrap for revisions added
